/*
 * Aipo is a groupware program developed by Aimluck,Inc.
 * http://www.aipo.com
 * 
 * Copyright(C) 2011 avanza Co.,Ltd. All rights reserved.
 * http://www.avnz.co.jp/
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.aimluck.eip.webmail.beans;

import com.aimluck.eip.common.ALData;

/**
 * メール作成画面のHIDDENデータのBeanです。 <br />
 */
public class WebmailHiddenDataBean implements ALData {

  /** メール作成画面のHIDDENに渡すためのデータ */
  private String hiddenData;

  /** メール作成画面の参照アドレス表示用データ */
  private String displayData;

  /** 社内アドレス："u" 個人アドレス："p" */
  private String prefix;

  public String getPrefix() {
    return prefix;
  }

  public void setPrefix(String prefix) {
    this.prefix = prefix;
  }

  public void initField() {
  }

  public String getHiddenData() {
    return hiddenData;
  }

  public void setHiddenData(String hiddenData) {
    this.hiddenData = hiddenData;
  }

  public String getDisplayData() {
    return displayData;
  }

  public void setDisplayData(String displayData) {
    this.displayData = displayData;
  }

}
